DROP FOREIGN DATA WRAPPER(7)

NAME
DROP_FOREIGN_DATA_WRAPPER - remove a foreign-data wrapper

SYNOPSIS

DROP FOREIGN DATA WRAPPER [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP FOREIGN DATA WRAPPER removes an existing foreign-data wrapper. To execute this command, the current user must be the owner of the foreign-data wrapper.

PARAMETERS

IF EXISTS
    Do not throw an error if the foreign-data wrapper does not exist. A notice is issued in this case.

name
    The name of an existing foreign-data wrapper.

CASCADE
    Automatically drop objects that depend on the foreign-data wrapper (such as foreign tables and servers), and in turn all objects that depend on those objects (see Section 5.14).

RESTRICT
    Refuse to drop the foreign-data wrapper if any objects depend on it. This is the default.

EXAMPLES

Drop the foreign-data wrapper dbi:

    DROP FOREIGN DATA WRAPPER dbi;

COMPATIBILITY

DROP FOREIGN DATA WRAPPER conforms to ISO/IEC 9075-9 (SQL/MED). The IF EXISTS clause is a PostgreSQL extension.

SEE ALSO
CREATE FOREIGN DATA WRAPPER (CREATE_FOREIGN_DATA_WRAPPER(7)), ALTER FOREIGN DATA WRAPPER (ALTER_FOREIGN_DATA_WRAPPER(7))